Bug 164209 - [build] [patch] buildworld WITHOUT_OPENSSL stops at usr.sbin/wpa/hostapd
Summary: [build] [patch] buildworld WITHOUT_OPENSSL stops at usr.sbin/wpa/hostapd
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: 9.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Devin Teske
URL:
Keywords:
Depends on:
Blocks: 191951
  Show dependency treegraph
 
Reported: 2012-01-16 17:50 UTC by Devin Teske
Modified: 2018-07-09 19:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.33 KB, patch)
2012-01-16 17:50 UTC, Devin Teske
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Teske 2012-01-16 17:50:07 UTC
When performing buildworld while specifying WITHOUT_OPENSSL, the depend target fails during mkdep. Output below:

===> usr.sbin/wpa/hostapd (depend)
rm -f .depend
mkdep -f .depend -a    -DDRUID -I/usr/src/usr.sbin/wpa/hostapd -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/common -I/usr/src/usr.sbin/wp
a/hostapd/../../../contrib/wpa//src/crypto -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/l2_packet -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/utils -DCONFIG_CTRL_IFACE -DCONFIG_CTRL
_IFACE_UNIX -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//hostapd -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/drivers -DCONFIG_DRIVER_BSD -DHOSTAPD -DCONFIG_DRIVER_RADIUS_ACL -DCONFIG_IP
V6 -DEAP_TLS_NONE -DINTERNAL_AES -DINTERNAL_SHA1 -DINTERNAL_MD5 -I/usr/src/usr.sbin/wpa/hostapd -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//
src/common -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/l2_packet -I/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/utils
-DCONFIG_CTRL_IFACE -DCONFIG_CTRL_IFACE_UNIX /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/accounting.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/aes-wrap.c /usr/src/usr.sbin
/wpa/hostapd/../../../contrib/wpa//src/ap/ap_config.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/ap_drv_ops.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/ap_mlme.c /usr/src/usr.
sbin/wpa/hostapd/../../../contrib/wpa//src/ap/authsrv.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_common/chap.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/utils/common.c /usr/sr
c/usr.sbin/wpa/hostapd/../../../contrib/wpa//hostapd/config_file.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//hostapd/ctrl_iface.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/crypt
o_openssl.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/ctrl_iface_ap.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/drivers/drivers.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/
wpa//src/ap/drv_callbacks.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//hostapd/dump_state.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_common/eap_common.c /usr/src/usr.sbin/wpa/hosta
pd/../../../contrib/wpa//src/eap_common/eap_peap_common.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//hostapd/eap_register.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_server/eap_serv
er.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_server/eap_server_gtc.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_server/eap_server_identity.c /usr/src/usr.sbin/wpa/hostapd/
./../../contrib/wpa//src/eap_server/eap_server_md5.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_server/eap_server_methods.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_server
/eap_server_mschapv2.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_server/eap_server_peap.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_server/eap_server_tls.c /usr/src/usr.sbi
n/wpa/hostapd/../../../contrib/wpa//src/eap_server/eap_server_tls_common.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eap_server/eap_server_ttls.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/w
pa//src/eapol_auth/eapol_auth_dump.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/eapol_auth/eapol_auth_sm.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/utils/eloop.c /usr/src/usr.sbin/
wpa/hostapd/../../../contrib/wpa//src/ap/hostapd.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/ieee802_11_auth.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/common/ieee802_11_common
.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/ieee802_11_ht.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/ieee802_1x.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ut
ils/ip_addr.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/md5.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//hostapd/main.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/cr
ypto/ms_funcs.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/peerkey_auth.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/pmksa_cache_auth.c /usr/src/usr.sbin/wpa/hostapd/../../../c
ontrib/wpa//src/ap/preauth_auth.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/radius/radius.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/radius/radius_client.c /usr/src/usr.sbin/wpa/h
ostapd/../../../contrib/wpa//src/ap/sta_info.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/sha1-pbkdf2.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/sha1-tlsprf.c /usr/sr
c/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/sha1-tprf.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/sha1.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/tkip_counte
rmeasures.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/utils.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/vlan_init.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap
/wpa_auth.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/wpa_auth_glue.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/ap/wpa_auth_ie.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/w
pa//src/common/wpa_common.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/utils/wpa_debug.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/utils/wpabuf.c /usr/src/usr.sbin/wpa/hostapd/../..
/../contrib/wpa//src/l2_packet/l2_packet_freebsd.c /usr/src/usr.sbin/wpa/hostapd/driver_freebsd.c /usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/utils/os_unix.c /usr/src/usr.sbin/wpa/hostapd/../../..
/contrib/wpa//src/crypto/tls_none.c
/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/crypto_openssl.c:16:30: error: openssl/opensslv.h: No such file or directory
/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/crypto_openssl.c:17:25: error: openssl/err.h: No such file or directory
/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/crypto_openssl.c:18:25: error: openssl/des.h: No such file or directory
/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/crypto_openssl.c:19:25: error: openssl/aes.h: No such file or directory
/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/crypto_openssl.c:20:24: error: openssl/bn.h: No such file or directory
/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/crypto_openssl.c:21:25: error: openssl/evp.h: No such file or directory
/usr/src/usr.sbin/wpa/hostapd/../../../contrib/wpa//src/crypto/crypto_openssl.c:22:24: error: openssl/dh.h: No such file or directory
mkdep: compile failed

Fix: See attached patch.txt

Patch attached with submission follows:
How-To-Repeat: 1. csup RELENG_9
2. cd /usr/src
3. make buildworld -DWITHOUT_OPENSSL

NOTE: You'll first stop at lib/libarchive making depend. Apply the patch from PR 164206 to make it past lib/libarchive
NOTE: You'll next stop at lib/libbsnmp/libbsnmp making all. Apply the patch from PR 164208 to make it past lib/libbsnmp/libbsnmp

4. See above description for error output
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2012-04-27 13:50:59 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-wireless

Fix misfiled PR
Comment 2 Bernhard Schmidt freebsd_committer 2012-04-28 12:12:59 UTC
State Changed
From-To: open->feedback

should be fixed by r234759
Comment 3 Devin Teske freebsd_committer 2012-05-07 22:24:01 UTC
Responsible Changed
From-To: freebsd-wireless->dteske

Take.
Comment 4 devin.teske 2012-05-08 17:27:07 UTC
Do I need to prepare a HEAD release machine to test this on? or can I go ahead
and cvsup HEAD to my 9.0-R box and test?
-- 
Devin

_____________
The information contained in this message is proprietary and/or confidential. If you are not the intended recipient, please: (i) delete the message and all copies; (ii) do not disclose, distribute or use the message in any manner; and (iii) notify the sender immediately. In addition, please be aware that any message addressed to our domain is subject to archiving and review by persons other than the intended recipient. Thank you.
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:42:28 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 6 Conrad Meyer freebsd_committer 2018-07-09 19:32:52 UTC
Please reopen if still present.
Comment 7 Conrad Meyer freebsd_committer 2018-07-09 19:33:45 UTC
(In reply to Bernhard Schmidt from comment #2)
> should be fixed by r234759

Oops, missed that comment.
Comment 8 Devin Teske freebsd_committer 2018-07-09 19:40:59 UTC
Thanks